QGIS Application - Bug report #15615
Working with a GeoPackage consumes 100% of processor unit
2016-09-26 03:34 AM - Radek Pasiok

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 23538
Description

Hi Devs,

Thanks for the latest update for GeoPackage solving db locks on concurrent writes (#15351).
However, after updating to ed8807c (LTR) or to 0497e4a (2.17) on Windows, 64-bit OSGeo4W, when a GoePackage is loaded QGIS
eats 100% of a processor unit, making the GUI somewhat lagged - switching the active layer takes almost a second, for example.

History

#1 - 2016-09-28 04:43 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Vectors

Could you please share the geopackage that is causing this problem?

#2 - 2016-10-02 02:18 PM - Radek Pasiok

It turned out, that the excessive CPU usage was caused by another (broken) GeoPackage existing in the same directory. Removing it solved the problem:
the rest of the files is being read correctly and there is no excessive CPU usage.

Unfortunately, | can't share the broken gpkg, as it contains private data.

Thanks for all you effort!

#3 - 2016-10-02 06:20 PM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed
